Summary:	A stand alone memory test for i386 architecture systems
Name:		memtest86+
Version:	1.55
Release:	2mdk
License:	GPL
Source0:	http://www.memtest.org/download/%{version}/%{name}-%{version}.tar.bz2
URL:		http://www.memtest.org
Group:		System/Kernel and hardware
BuildRequires:	dev86
Requires:	initscripts, drakxtools-backend >= 10-53mdk
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:	%{ix86} x86_64
Obsoletes:	memtest86
Provides:	memtest86

%description
Memtest86 is thorough, stand alone memory test for i386 architecture
systems.  BIOS based memory tests are only a quick check and often
missfailures that are detected by Memtest86.    

%prep
%setup -q 

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
install -m644 memtest.bin -D $RPM_BUILD_ROOT/boot/memtest-%{version}.bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action add-entry --label memtest-%{version} --image /boot/memtest-%{version}.bin
fi

%preun
if [ -x /usr/sbin/bootloader-config ]; then
    /usr/sbin/bootloader-config --action remove-entry --label memtest-%{version}
fi

%files
%defattr(-,root,root)
%doc README
/boot/memtest-%{version}.bin

%changelog
* Wed Apr 06 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.55-2mdk
- Rebuilt for getting in sync both binaries and .src.rpm.

* Sun Mar 28 2005 Erwan Velu <erwan@seanodes.com> 1.55-1mdk
- 1.55

* Mon Mar 21 2005 Giuseppe Ghib <ghibo@mandrakesoft.com< 1.51-4mdk
- Rebuilt.

* Thu Mar 10 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.51-3mdk
- Rebuilt.

* Wed Feb 23 2005 Erwan Velu <velu@seanodes.com> 1.51-2mdk
- Rebuild

* Wed Feb 16 2005 Erwan Velu <velu@seanodes.com> 1.51-1mdk
- 1.51

* Thu Jan 27 2005 Giuseppe GHib <ghibo@mandrakesoft.com> 1.50-1mdk
- Release: 1.50.

* Mon Nov 29 2004 Erwan Velu <velu@seanodes.com> 1.40-1mdk
- 1.40

* Fri Nov 12 2004 Erwan Velu <velu@seanodes.com> 1.30-1mdk
- 1.30

* Fri Oct 22 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.27-1mdl
- Release: 1.27.

* Sat Sep 04 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.26-1mdk
- Release: 1.26.

* Thu Jul 09 2004 Erwan Velu <erwan@mandrakesoft.com> 1.20-1mdk
- 1.20

* Thu Jul  8 2004 Pixel <pixel@mandrakesoft.com> 1.15-4mdk
- fix requires

* Tue Jul  6 2004 Pixel <pixel@mandrakesoft.com> 1.15-3mdk
- use bootloader-config instead of /usr/share/loader stuff

* Fri Jun 18 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.15-2mdk
- opps, fix filename for loader (pixel)

* Wed Jun 16 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.15-1mdk
- 1.15
- should build on amd64 too
- cosmetics

* Mon Mar 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.11-2mdk
- Fixed URLs.

* Sat Feb 07 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.11-1mdk
- initial release.
- Obsolete memtest86 (unmaintained)
